Skip to main content
POST
/
v1
/
organizations
/
{organization}
/
reservations
Create Reservation
curl --request POST \
  --url https://api.aspect-dev.systems/v1/organizations/{organization}/reservations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "customer": {
    "first_name": "<string>",
    "last_name": "<string>",
    "email": "[email protected]",
    "phone": "<string>"
  },
  "entries": [
    {
      "rate_id": "<string>",
      "first_name": "<string>",
      "last_name": "<string>"
    }
  ]
}
'
{
  "data": {
    "id": "<string>",
    "type": "reservations",
    "attributes": {
      "id": "<string>",
      "code": "<string>",
      "state": "pending",
      "channel": "online",
      "start_at": "<string>",
      "subtotal": 123,
      "total": 123,
      "created_at": "<string>",
      "updated_at": "<string>"
    },
    "relationships": {
      "customer": {
        "data": {
          "type": "customers",
          "id": "<string>"
        }
      },
      "division": {
        "data": {
          "type": "divisions",
          "id": "<string>"
        }
      },
      "entries": {
        "data": [
          {
            "type": "entries",
            "id": "<string>"
          }
        ]
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "customers",
      "attributes": {
        "id": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "email": "<string>",
        "phone": "<string>"
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization
string
required

Query Parameters

include
string

Available includes are customer, division, entries. You can include multiple options by separating them with a comma.

Body

application/json

CreateReservation

customer
CreateCustomer · object
required

Customer information for the reservation

entries
CreateEntry · object[]
required

Collection of entries (tickets/bundles) for the reservation.

N.B. The first entry will always be assigned to the reservation holder.

Response

Reservation

data
Reservation · object
required
included
(Customer · object | Division · object | Entry · object)[]